Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 521358 - dev-perl/Bit-Vector-7.300.0 bump request ( 7.200.0 tests give t/02_____destroy.t .. Failed 1/15 subtests )
Summary: dev-perl/Bit-Vector-7.300.0 bump request ( 7.200.0 tests give t/02_____destro...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL: https://metacpan.org/diff/file?target...
Whiteboard:
Keywords:
Depends on:
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2014-08-28 09:52 UTC by Kent Fredric (IRC: kent\n)
Modified: 2014-09-12 17:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2014-08-28 09:52:38 UTC
Bit-Vector 7.200.0 Fails test t/02_____destroy.t on >5.17

PERL_DL_NONLAZY=1 /usr/bin/perl5.18.2 "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00_____version.t .. ok     
t/01_________new.t .. ok       
t/02_____destroy.t .. Failed 1/15 subtests 

...

Test Summary Report
-------------------
t/02_____destroy.t (Wstat: 0 Tests: 15 Failed: 1)
  Failed test:  2
Files=23, Tests=91963,  8 wallclock secs ( 6.34 usr  0.17 sys +  1.53 cusr  0.62 csys =  8.66 CPU)
Result: FAIL


Comparing with upstream shows this is fixed in 7.300.0
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-09-12 17:38:55 UTC
+*Bit-Vector-7.300.0 (12 Sep 2014)
+
+  12 Sep 2014; Mikle Kolyada <zlogene@gentoo.org> +Bit-Vector-7.300.0.ebuild:
+  Version bump wrt bug #521358

Thanks!